<?php if (!defined('THINK_PATH')) exit(); /*a:3:{s:73:"/www/wwwroot/v3.iosl1.cn/public/../application/index/view/user/index.html";i:1703747514;s:64:"/www/wwwroot/v3.iosl1.cn/application/index/view/common/meta.html";i:1724992016;s:66:"/www/wwwroot/v3.iosl1.cn/application/index/view/common/script.html";i:1650895008;}*/ ?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>个人中心</title>
<meta content="viewport-fit=cover,width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=0" name="viewport" />
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta content="black" name="apple-mobile-web-app-status-bar-style" />
	<meta content="telephone=no" name="format-detection" />
<link rel="stylesheet" type="text/css" href="/assets/youxi/css/style.css" />
</head>


<script>

let media = window.matchMedia('(prefers-color-scheme: dark)');
let callback = (e) => {
     let prefersDarkMode = e.matches;
    if (prefersDarkMode) {
        $("meta[name='theme-color']").attr('content', "#000");
    }else{
        $("meta[name='theme-color']").attr('content', "#fff");
    }
    
};
if (typeof media.addEventListener === 'function') {
    media.addEventListener('change', callback);
} else if (typeof media.addListener === 'function') {
    media.addListener(callback);
}

if(window.matchMedia('(prefers-color-scheme: dark)').matches){
    
      var oMeta = document.createElement('meta');
      oMeta.content = '#000';
      oMeta.name = 'theme-color';
      document.getElementsByTagName('head')[0].appendChild(oMeta);
}else{
     var oMeta = document.createElement('meta');
      oMeta.content = '#fff';
      oMeta.name = 'theme-color';
      document.getElementsByTagName('head')[0].appendChild(oMeta);
}
</script>

<meta name="description" itemprop="description" content="<?php echo $site['name']; ?>是一款IOS免费的签名工具，可签名安装未上架App Store内测应用程序，严禁签名外挂和违规应用">
<meta name="keywords" content="IOS签名工具,签名,p12,砸壳,应用多开,ios,UDID,苹果越狱,<?php echo $site['name']; ?>源,<?php echo $site['name']; ?>json源,<?php echo $site['name']; ?>软件源,<?php echo $site['name']; ?>签名工具">
<meta name="msapplication-TileColor" content="#da532c">
<meta content="initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">



<title>	<?php echo $site['name']; ?></title>
<script src="/assets/youxi/js/tishihook.js"></script>
<script type="text/javascript" src="/assets/youxi/js/rem.js"></script>
<script type="text/javascript" src="/assets/youxi/js/jquery-1.7.2.min.js"></script>
<script src="/assets/app/layer.js" type="text/javascript"></script>
<link rel="stylesheet" href="/assets/app/layer.css" id="layuicss-layer">
<script type="text/javascript" src="/assets/youxi/js/JQuery.BlockUI.min.2.39.js"></script>
<link href="/assets/youxi/css/swiper-3.4.1.min.css" rel="stylesheet">
<link rel="stylesheet" href="/assets/youxi/css/common.css" />
<link rel="stylesheet" type="text/css" href="/assets/youxi/css/index.css" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="/assets/youxi/css/bootstrap-icons.css"/>
<link rel="stylesheet" type="text/css" href="/assets/youxi/css/fontawesome-all.min.css">  


<script type="text/javascript">
    var require = {
        config: <?php echo json_encode($config); ?>
    };
</script>

<style>
      .JabiSysBg{
       /*margin: 0px 10px 1px;*/
       
        border-bottom: 1px solid #eee;
    	background-color: #fff;
    	display: flex;
    	flex-direction: row;
    	justify-content: space-between;

    }
    
    .JabiSysLeft{
    	margin-left: 15px;
    	margin-top: 4px;
    	max-width: 70%;
    	display: flex;
    	flex-direction: row;
    	justify-content: space-between
    }
    
    .JabiSysIcon{
    	width: 40px;
    	height: 40px;
    	border-radius: 4px;
    	display: block;
    }
    
    .JabiSysTxt{
    	height: 48px;
    	margin-left: 0px;
    	margin-right: 15px;
    }

    
    .JabiSysTitle{
    
        margin-left: 6px;
    	display: block;
    	width: 240px;
    	color: #212121;
    	font-weight: bolder;
    	font-size: 16px;
        overflow:hidden;
        text-overflow:ellipsis;
        white-space:nowrap
    }
    
    .JabiSysDes{
         margin-left: 6px;
         font-size: 13px;
    	display: block;
    	width: 230px;
    	color: #000;
    	overflow:hidden;
        text-overflow:ellipsis;
        white-space:nowrap
    
    }

    .JabiSysRight{
    	width: 80px;
    	height: 30px;
    	background-color: #007aff;
    	border-radius: 30px;
    	text-align: center;
    	line-height: 30px;
    	margin-right: 15px;
    	color: #fff;
    	cursor:pointer;
    }
 
    
</style>
              
<body>



			
					
			<div class="top-text">
				<div class="top-text-icon"></div>
				<!--公告文字-->
				<div class="scroll-text top-text-notice fs14" id="scroll-text">
				<?php if(is_array($gg) || $gg instanceof \think\Collection || $gg instanceof \think\Paginator): if( count($gg)==0 ) : echo "" ;else: foreach($gg as $key=>$vo): ?>
                <div class="scroll-auto scroll-text"><?php echo $vo; ?></div>
                <?php endforeach; endif; else: echo "" ;endif; ?>
               
                  
				</div>
				
			
			</div>
		
<section class="aui-flexView">
	<section class="aui-scrollView">
		<div class="aui-super-box">
			<div class="aui-flex">
				<div class="aui-flex-user">
					<img src="<?php echo $site['sourceicon']; ?>" style="width:100%;height:auto;display:block;border: 0;" alt="">
				</div>
				<div class="aui-flex-box fs14">
					<h2><?php echo $jx; ?></h2>
					<h3><?php echo $banben; ?></h3>
					<h3><?php if($imei != ''): ?>IMEI：<?php echo $imei; else: ?>IMEI：未知<?php endif; ?></h3>
					<h3 onclick="copyz()"><?php if($udid != ''): ?>UDID：<?php echo $udid; else: ?>尚未安装<?php echo $site['name']; endif; ?></h3>
				    <!--<span style="background: #21a5e278;">签名剩余：VIP<?php echo $vipcs; ?>次·免费<?php echo $freecs; ?>次</span>-->
				    <br>
					<span><?php echo $isvip; ?></span>
				</div>
			</div>
			<div class="aui-super-nav">
				<div class="aui-flex">
					<div class="aui-flex-box">
						<h3  id="demo" > <i class="icon icon-vip fs14"></i><?php echo $dhzs; ?></h3>
					
					</div>
						<div class="aui-more-eay fs14">
						<button onclick="dhzs()">兑换证书</button>
					</div>
					
				</div>
			</div>

		</div>
		<div class="aui-flex">
		
		</div>
	
			<div class="divHeight"></div>
		
			<a onclick="xieyi()" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/xieyi.png" alt="">
				</div>
				<div  class="aui-flex-box fs15">
					<p><b>用户协议</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			</a>
	
			<!--<a onclick="dhcs()" class="aui-flex b-line">-->
			<!--	<div class="aui-cou-img">-->
			<!--		<img src="/assets/youxi/css/images/qmjl.png" alt="">-->
			<!--	</div>-->
			<!--	<div class="aui-flex-box fs15">-->
			<!--		<p><b>次数兑换</b></p>-->
			<!--	</div>-->
			<!--	<div class="aui-arrow">-->
			<!--		<span></span>-->
			<!--	</div>-->
			<!--</a>-->
			
			
		
			
			<?php if($site['gmkm'] != ''): ?> 
				<a onclick="gmzs()" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/gou.png" alt="">
				</div>
				<div class="aui-flex-box fs15">
					<p><b>购买证书</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			    </a>
			<?php endif; if($xz == 1): ?> 
				<a onclick="down()" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/xz.png" alt="">
				</div>
				<div class="aui-flex-box fs15">
					<p><b>下载证书</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			</a>
			<?php endif; ?>
			<a onclick="syjc()" target="_self" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/jiaocheng.png" alt="">
				</div>
				<div class="aui-flex-box fs15">
					<p><b>使用教程</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			</a>
			<a onclick="lxkf()" target="_self" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/kefu.png" alt="">
				</div>
				<div class="aui-flex-box fs15">
					<p><b>联系客服</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			</a>
			<a onclick="gywm()" class="aui-flex b-line">
				<div class="aui-cou-img">
					<img src="/assets/youxi/css/images/guanyu.png" alt="">
				</div>
				<div class="aui-flex-box fs15">
					<p><b>关于我们</b></p>
				</div>
				<div class="aui-arrow">
					<span></span>
				</div>
			</a>
		
		<div style="height:120px;"></div>
	</section>

</section>

<script>

function copyz() {

	const textToCopy = '<?php echo $udid; ?>';
       navigator.clipboard.writeText(textToCopy)
          .then(() => {
		     layer.msg('UDID复制成功')
              
          })
          .catch((error) => { layer.msg('UDID复制失败')
              
          })
		

}    
  
function dhcs() {
    
    if ('<?php echo $udid; ?>'==""||'<?php echo $udid; ?>'==null) {
        layer.msg('请先获取UDID！！'); 
        window.location.href="/"; 
        return;
    }
    
     layer.prompt({
        title: '请输入签名次数兑换码：',
        offset: {
        top: '50px',}}, 
        function(code, index, elem){
     
         if (code!=null && code!="") {
        layer.closeAll();
         $.blockUI({ message:'<h3><img src="/assets/libs/fastadmin-layer/dist/theme/default/busy.gif" /> <br>验证中..</h3>',css:{ left: '50%','border-radius': '15px',padding: '10px',width: '150px',height: '60px' ,'margin-left':'-75px' }});
        $.ajax({
            type: 'POST',
            url: "/api/index/dhcs",
            data: {
              UDID:'<?php echo $udid; ?>',
              code:code
            },
            dataType: "json",
            success: function(result, textStatus, jqXHR) {
            $.unblockUI();
              if (result.code==1) {
              
                layer.msg('兑换成功', {time: 2000 //2秒关闭（如果不配置，默认是3秒）
                }, function(){
                    location.reload(); 
                    return false;
                }); 
                              
               
              } else {
               
                layer.msg(result.msg);
               
                return false;
              }
            },
            error: function(response) {
             $.unblockUI();
              layer.msg('请求超时');
            }});
     
    
        }else{
            layer.closeAll();
            layer.msg('兑换码不能为空！');
        }
    
    });


    
}

function dhzs() {
    
    if ('<?php echo $udid; ?>'==""||'<?php echo $udid; ?>'==null) {
        layer.msg('请先获取UDID！！'); 
        window.location.href="/"; 
        return;
    }

    layer.prompt({
        title: '请输入<?php echo $site['name']; ?>VIP兑换码：',
        offset: {
        top: '50px',}}, 
        function(code, index, elem){
     
         if (code!=null && code!="") {
        layer.closeAll();
         $.blockUI({ message:'<h3><img src="/assets/libs/fastadmin-layer/dist/theme/default/busy.gif" /> <br>验证中..</h3>',css:{ left: '50%','border-radius': '15px',padding: '10px',width: '150px',height: '60px' ,'margin-left':'-75px' }});
        $.ajax({
            type: 'POST',
            url: "/api",
            data: {
              UDID:'<?php echo $udid; ?>',
              code:code
            },
            dataType: "json",
            success: function(result, textStatus, jqXHR) {
            $.unblockUI();
              if (result.code==1) {
              
                layer.msg('兑换成功', {time: 2000 //2秒关闭（如果不配置，默认是3秒）
                }, function(){
                    location.reload(); 
                    return false;
                }); 
                              
               
              } else {
               
                layer.msg(result.msg);
               
                return false;
              }
            },
            error: function(response) {
             $.unblockUI();
              layer.msg('请求超时');
            }});
     
    
        }else{
            layer.closeAll();
            layer.msg('兑换码不能为空！');
        }
    
    });


    
}




        
function xieyi() {

confirm('<?php echo $site['xieyi']; ?>');
}
function gywm() {

alert("<?php echo $site['name']; ?>\r\niOS在线签名工具\r\n当前版本:V1.2");
}
function gmzs() {

  window.parent.window.location.href = "<?php echo $site['gmkm']; ?>";
}
function syjc() {

   window.parent.window.location.href = "<?php echo $site['jcurl']; ?>";
}
function lxkf() {
   
  window.parent.window.location.href = "<?php echo $site['kfurl']; ?>";
}

function down() {
    
    
    layer.closeAll();
 
   $.ajax({
        type: 'POST',
        url: "/sign/index/down",
        data: {
            udid:'<?php echo $udid; ?>',
            },
        dataType: "json",
        success: function(result, textStatus, jqXHR) {
           layer.closeAll('loading');  
           if(result['code']==1){
            
              const textToCopy = result['data']['zip'];
             window.parent.window.location.href = textToCopy;
           }else{
                layer.msg(result['msg']);
           }
        }
        
   });
            
        
    

 
} 

function dateTrans(date) {
	//let _date = new Date(parseInt(date));//13位
	let _date = new Date(parseInt(date) * 1000); //10位
	let y = _date.getFullYear();
	let m = _date.getMonth() + 1;
	m = m < 10 ? ('0' + m) : m;
	let d = _date.getDate();
	d = d < 10 ? ('0' + d) : d;
	let h = _date.getHours();
	h = h < 10 ? ('0' + h) : h;
	let minute = _date.getMinutes();
	let second = _date.getSeconds();
	minute = minute < 10 ? ('0' + minute) : minute;
	second = second < 10 ? ('0' + second) : second;
	// let dates = y + '-' + m + '-' + d;//年月日
	let dates = y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second;//年月日时分秒
	return dates;
};


</script>
<script>
function autoScroll(obj) {
			$(obj).find("#scroll-text").animate({
				marginTop: "-35px"
			}, 500, function() {
				$(this).css({
					marginTop: "0px"
				}).find(".scroll-auto:first").appendTo(this);
			})
		}
		$(function() {
			setInterval('autoScroll(".top-text")', 2500);
		})
</script>


	    <script type="text/javascript" src="/assets/youxi/js/swiper-3.4.1.min.js"></script>
	    <script type="text/javascript" src="/assets/youxi/js/utils.js"></script>
		<script type="text/javascript" src="/assets/youxi/js/index.js"></script>	
	
     
